export const FORMS =

{
    "first_form_name": { // "first_form_name" - system name
        "title": "Form title", // ⬅️ Form Display Name || Description ⬇️
        "body": "Hello! This is an example of forms that can be created via EasyForm.\n\nYou can set your own title, description and buttons. The buttons have several options for actions when clicked",
        "buttons": [ // At least 1 button
            {
                "button_name": "1st trigger type:\n`say` - write a message",
                "icon": "textures/items/book_normal", // You can find embedded textures in the vanilla resource pack, just select the PNG image you like and specify the path to it relative to the resource pack folder
                "on_click": [ { "type": "say", "value": "Chat message" } ]
            },
            {
                "button_name": "2nd trigger type:\n`cmds` - execute commands",
                "icon": "textures/blocks/diamond_block",
                "on_click": [ { "type": "cmds", "value": ["give @s diamond 1", "say Hello world from @s"] } ]
            },
            {
                "button_name": "3rd trigger type:\n`form` - open another form", // btw 'icon' is optional
                "on_click": [ { "type": "form", "value": "second_form_name" } ] // value - system name of the form
            },
            {
                "button_name": "4th trigger type:\n`eval` - eval JS code", // btw 'icon' is optional
                "on_click": [ { "type": "eval", "value": "console.warn('Hello world',Math.PI)" } ] // value - js code in one line
            },
            {
                "button_name": "5th trigger type: Do nothing\nJust don't write 'on_click'", // btw 'icon' is optional
            },
            {
                "button_name": "6th trigger type:\n`cmd` - execute only ONE command",
                "icon": "textures/blocks/emerald_block",
                "on_click": [ { "type": "cmd", "value": "give @s diamond 1" } ]
            },
            {
                "button_name": "7th trigger type (combine):\n cmds + form",
                "on_click": [
                    { "type": "form", "value": "second_form_name" },
                    { "type": "cmds", "value": ["playsound random.orb", "say Second form step"] }
                ]
            }
        ]
    },
    "second_form_name": {
        "title": "Name of the 2nd form",
        "body": "Second form",
        "on_close": [ { "type": "say", "value": "Form closed" } ], // Executed if the player did not press the buttons and exited via ESC
        "buttons": [
            {
                "button_name": "%gui.back", // You can add localization. Just add '%' to the translation key
                "on_click": [ { "type": "form", "value": "first_form_name" } ]
            }
        ]
    }
}