import { world, system } from "@minecraft/server"
import { openJSON } from "./formBuilder";
import { TRIGGERS } from "../formsTriggers";

system.events.scriptEventReceive.subscribe((event) => {
    const {
        id,           // returns string (wiki:test)
        initiator,    // returns Entity
        message,      // returns string (Hello World)
        sourceBlock,  // returns Block
        sourceEntity, // returns Entity
        sourceType,   // returns MessageSourceType
    } = event;
    switch (id) {
        case 'axiscube:easyform':
            openJSON(message, sourceEntity)
            break
    }
})

world.events.beforeItemUse.subscribe(({item, source}) => {
    for (let i in TRIGGERS['itemEvent']) {
        if (item.typeId == i) { openJSON(TRIGGERS['itemEvent'][i],source) }
    }
})

world.events.entityHit.subscribe(({ hitEntity, entity }) => {
    if (hitEntity != undefined) {
        for (let i in TRIGGERS['entityEvent']) {
            if (hitEntity.typeId == i) { openJSON(TRIGGERS['entityEvent'][i],entity) }
        }
    }
})

// for (let i in TRIGGERS) {
//     if (i == 'itemEvent') {
//         world.events.beforeItemUse.subscribe(({item, source}) => {
//             for (let j in TRIGGERS[i]) {
//                 if (item.typeId == j) { openJSON(TRIGGERS[i][j],source) }
//             }
//         })
        
//     }
// }